<template>
  <div>
    <el-form
      :model="inputQuery"
      :rules="rules"
      ref="inputQuery"
      label-width="100px"
      style="margin-top: -30px"
    >
      <el-card class="el-card">

        <div style="display: flex;">
          <el-button v-if="editType==2" type="primary" size="mini" icon="search" @click="onPassSubmit">审核通过</el-button>
          <el-button v-if="editType==2" type="primary" size="mini" icon="search" @click="onRejectSubmit">审核拒绝
          </el-button>
          <el-button v-if="editType==1 && auditType!=1" type="primary" size="mini" icon="search"
                     @click="printSupCertAll">打印
          </el-button>
        </div>
        <el-row :gutter="20" class="el-row" type="flex" style="margin-top: 20px">
          <el-col :span="10" class="el-col">
            <el-form-item label="所属供应商:" label-width="150px" prop="customerId">
              <el-select
                v-model="inputQuery.customerId"
                filterable
                remote
                clearable="true"
                disabled
                reserve-keyword
                placeholder="请输入供应商名称"
                :remote-method="findMethod"
                :loading="loading"
                style="width: 100%;"
                @change="unitChange"
              >
                <el-option
                  v-for="item in fromOptions"
                  :key="item.customerId"
                  :label="item.companyName"
                  :value="item.customerId"
                >
                  <span style="float: left">{{ item.companyName }}</span>
                </el-option>
              </el-select>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row :gutter="20" class="el-row" type="flex">
          <el-col :span="10" class="el-col">
            <el-form-item label="企业名称:" label-width="150px" prop="companyName">
              <el-input
                size="small"
                placeholder="请输入内容" disabled
                v-model="inputQuery.companyName"
                @input="change()"
              ></el-input>
            </el-form-item>
          </el-col>
          <el-col :span="10" class="el-col">
            <el-form-item label="统一社会信用代码:" label-width="150px" prop="creditCode">
              <el-input
                size="small"
                placeholder="请输入内容"
                v-model="inputQuery.creditCode"
                @input="change()" disabled
              ></el-input>
            </el-form-item>
          </el-col>
        </el-row>

        <el-row :gutter="20" class="el-row" type="flex">
          <el-col :span="10" class="el-col">
            <el-form-item label="企业类型:" label-width="150px" prop="companyType">
              <el-select
                size="small"
                v-model="inputQuery.companyType"
                placeholder="企业类型" disabled
                style="width: 100%;"
              >
                <el-option label="境内企业" value="1"></el-option>
                <el-option label="境外企业" value="2"></el-option>

              </el-select>
            </el-form-item>
          </el-col>
          <el-col :span="10" class="el-col">
            <el-form-item label="登记状态:" label-width="150px" prop="registerStatus">
              <el-select
                size="small"
                v-model="inputQuery.registerStatus" disabled
                placeholder="登记状态"
                style="width: 100%;"
              >
                <el-option label="续存（在营，开业，在册）" value="1"></el-option>
                <el-option label="吊销" value="2"></el-option>
                <el-option label="注销" value="3"></el-option>
                <el-option label="迁出" value="4"></el-option>
              </el-select>
            </el-form-item>
          </el-col>
        </el-row>

        <el-row :gutter="20" class="el-row" type="flex">
          <el-col :span="10" class="el-col">
            <el-form-item label="所在地区:" label-width="150px" prop="placeArea">
              <el-cascader
                size="small" disabled
                :options="options"
                v-model="selectedOptions"
                placeholder="请选择所在地区"
                style="width: 100%"
                @change="handleChange"
              >
              </el-cascader>
            </el-form-item>
          </el-col>
          <el-col :span="10" class="el-col">
            <el-form-item label="生产地区:" label-width="150px" prop="productionArea">
              <el-cascader
                size="small"
                :options="options" disabled
                v-model="selectedOptions2"
                placeholder="请选择生产地区"
                style="width: 100%"
                @change="handleChange2"
              >
              </el-cascader>
            </el-form-item>
          </el-col>
        </el-row>

        <el-row :gutter="20" class="el-row" type="flex">
          <el-col :span="10" class="el-col">
            <el-form-item label="所在地址:" label-width="150px" prop="placeAddress">
              <el-input
                size="small" disabled
                placeholder="请输入内容"
                v-model="inputQuery.placeAddress"
                @input="change()"
              ></el-input>
            </el-form-item>
          </el-col>
          <el-col :span="10" class="el-col">
            <el-form-item label="生产地址:" label-width="150px" prop="productionAddress">
              <el-input
                size="small" disabled
                placeholder="请输入内容"
                v-model="inputQuery.productionAddress"
                @input="change()"
              ></el-input>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row :gutter="20" class="el-row" type="flex">
          <el-col :span="20" class="el-col">
            <el-form-item label="备注:" label-width="150px" prop="remark">
              <el-input
                type="textarea"
                size="small" disabled
                placeholder="请输入内容"
                v-model="inputQuery.remark"
                @input="change()"
              ></el-input>
            </el-form-item>
          </el-col>
        </el-row>
      </el-card>

      <el-card class="el-card">
        <div style="display: flex">
          <!--                    <el-button-->
          <!--                        type="primary"-->
          <!--                        size="small"-->
          <!--                        icon="search"-->
          <!--                        style="margin: 0 100px 20px auto; width: 100px"-->
          <!--                        @click="addCert()"-->
          <!--                    >添加电子档-->
          <!--                    </el-button-->
          <!--                    >-->
        </div>
        <el-table v-loading="certLoading" :data="certList" ref="certTable" style="width: 100%" border
                  highlight-current-row>
          <el-table-column type="selection" width="55"></el-table-column>
          <el-table-column type="index" label="序号" width="50"></el-table-column>
          <el-table-column label="证书名称" prop="name"></el-table-column>
          <el-table-column label="证书编号" prop="code"></el-table-column>
          <el-table-column label="生效期" prop="vailDate"></el-table-column>
          <el-table-column label="失效期" prop="expireDate"></el-table-column>
          <el-table-column label="备注" prop="remark"></el-table-column>
          <el-table-column label="证书状态" prop="status">
            <template slot-scope="scope">
              {{ supStatus[scope.row.status] }}
            </template>
          </el-table-column>
          <el-table-column label="确认状态" prop="auditStatus" width="120">
            <template slot-scope="scope">
              <el-tag :type="(scope.row.auditStatus) | statusFilterType">
                {{ checkFlag[scope.row.auditStatus] }}
              </el-tag>
            </template>
          </el-table-column>
          <el-table-column label="操作" width="250">
            <template slot-scope="scope">
              <el-button v-if="editType==1 && auditType!=1" type="text" size="small"
                         @click.native="printSupCert(scope.row)">打印
              </el-button>
              <el-button type="text" size="small" v-if="editType==2" @click.native="auditCert(scope.row)">编辑</el-button>
              <el-button
                type="text"
                size="small"
                @click.native="showImgViewer(scope.row)"
              >预览
              </el-button>
              <el-button type="text" size="small" v-if="scope.row.auditStatus==1" @click.native="revoke(scope.row)">
                撤回
              </el-button>
            </template>
          </el-table-column>
        </el-table>
        <el-image-viewer
          v-if="imgViewer"
          style="z-index: 9999"
          :on-close="closeImgViewer"
          :url-list="imgList"
        />
        <el-pagination
          :page-size="certQuery.limit"
          @current-change="certHandleCurrentChange"
          layout="prev, pager, next"
          :total="certTotal"
        >
        </el-pagination>
      </el-card>


      <el-dialog width="60%" title="生产企业资质证书确认" :visible.sync="certAuditVisible" append-to-body>
        <el-form :model="currentAudit" label-width="120px">
          <el-row>
            <el-col :span="11">
              <el-form-item label="证书名称：" prop="name">
                <el-input v-model="currentAudit.name" auto-complete="off"
                          disabled></el-input>
              </el-form-item>
            </el-col>

            <el-col :span="11">
              <el-form-item label="证书编号：" prop="code">
                <el-input v-model="currentAudit.code" auto-complete="off"
                          disabled
                ></el-input>
              </el-form-item>
            </el-col>
          </el-row>

          <el-row>
            <el-col :span="11">
              <el-form-item label="生效期：" prop="vailDate">

                <el-date-picker
                  v-model="currentAudit.vailDate"
                  type="date"
                  disabled
                  value-format="yyyy-MM-dd"
                  style="width: 100%"
                  placeholder="请选择生效期">
                </el-date-picker>
              </el-form-item>
            </el-col>

            <el-col :span="11">
              <el-form-item label="失效期：" prop="expireDate">

                <el-date-picker
                  v-model="currentAudit.expireDate"
                  type="date"
                  disabled
                  value-format="yyyy-MM-dd"
                  style="width: 100%"
                  placeholder="请选择失效期">
                </el-date-picker>
              </el-form-item>
            </el-col>
          </el-row>


          <el-row>
            <el-col :span="11">
              <el-form-item label="证书状态：" prop="status">
                <el-select v-model="currentAudit.status" :disabled="isOpen!=1" style="width: 100%">
                  <el-option label="失效" :value=1></el-option>
                  <el-option label="有效" :value=0></el-option>
                </el-select>
              </el-form-item>
            </el-col>

            <el-col :span="11">
              <el-form-item label="确认状态：" prop="confirmStatus">
                <el-select v-model="confirmStatus" :disabled="isOpen==1" style="width: 100%">
                  <el-option label="符合" :value="1"></el-option>
                  <el-option label="不符合" :value="2"></el-option>
                  <el-option label="未确认" :value="6"></el-option>
                </el-select>
              </el-form-item>
            </el-col>
          </el-row>

          <el-row>
            <el-col :span="11">
              <el-form-item label="证书文件：">
                <el-button type="primary" size="mini" @click.native="showImgViewer(currentAudit)">证书预览</el-button>
                <el-image-viewer v-if="imgViewerVisible" style="z-index:9999" :on-close="closeImgViewer"
                                 :url-list="imgList"/>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row style="margin-top: 12px">
            <el-col :span="22">
              <el-form-item label="结果说明：">
                <el-input type="textarea" :disabled="isOpen==1" v-model="currentAudit.auditComment" autocomplete="off"
                          autosize></el-input>
              </el-form-item>
            </el-col>
          </el-row>
        </el-form>
        <div slot="footer" class="dialog-footer">
          <el-button type="primary" @click="confirm">确定</el-button>
          <el-button type="primary" @click="cancel">取消</el-button>
        </div>
      </el-dialog>

    </el-form>
  </div>
</template>

<script>
import {auditManufacturer, addOrModifyCompany} from "../../../api/purchase/supManufacturer";
import {regionDataPlus, CodeToText} from "element-china-area-data";
import {filterCompanyCert, deleteCompanyCert, auditSupCert, revokeSupCert} from "../../../api/purchase/companyCert";
import companyAddCert from "@/views/purchase/cert/supCertAddDialog";
import draggable from "vuedraggable";
import {
  getSupComapnys, previewImage,
  printSupCertManufacturer,
  verifyTemplateFile
} from '@/api/purchase/supCompany'
import {getUUID} from "@/utils/strUtil";
import ElImageViewer from "element-ui/packages/image/src/image-viewer"

export default {
  name: "supManufacturerAuditDialog",
  props: {
    addCloseDialog: {
      type: Function,
      required: true,
    },
    inputQuery: {
      type: Object,
      required: true,
    },
    enterpriseId: "",
    editType: {
      type: Object,
      required: true,
    },
    auditType: {
      type: Object,
      required: true
    }
  },
  data() {
    return {
      BASE_URL: process.env.VUE_APP_BASE_API,
      loading: false,
      classesDisplay: false,
      selectedOptions: [],
      selectedOptions2: [],
      imgViewerVisible: false,
      imgViewer: false,
      imgList: [],
      options: regionDataPlus,
      rules: {

        customerId: [
          {
            required: true,
            message: "请选择所属供应商",
            trigger: "blur"
          }
        ],

        companyName: [
          {
            required: true,
            message: "请输入企业名称",
            trigger: "blur"
          }
        ],
        creditCode: [
          {
            required: true,
            message: "请输入统一社会信用代码",
            trigger: "blur"
          }
        ],
        companyType: [
          {
            required: true,
            message: "请选择企业类型",
            trigger: "change"
          }
        ],
        registerStatus: [
          {
            required: true,
            message: "请选择登记状态",
            trigger: "change"
          }
        ],
        placeArea: [
          {
            required: true,
            message: "请选择所在地区",
            trigger: "change"
          }
        ],
        placeAddress: [
          {
            required: true,
            message: "请输入所在地址",
            trigger: "change"
          }
        ],
        legalPersonName: [
          {
            required: true,
            message: "请输入法人姓名",
            trigger: "change"
          }
        ],
        legalPersonPapersType: [
          {
            required: true,
            message: "请选择法人证件类型",
            trigger: "change"
          }
        ],
        legalPersonPapersCode: [
          {
            required: true,
            message: "请输入法人证件号码",
            trigger: "change"
          }
        ],
      },
      uploadUrl: "",
      fileList: [],
      fileUrl: "",
      certFileUrl: "",
      url: 'http://127.0.0.1:9996/udiwms/image/register/file/getImage?type=image1&name=t11111.jpg',
      certQuery: {
        customerId: null,
        manufacturerIdFk: null,
        page: 1,
        limit: 20
      },
      certList: [],
      certTotal: 0,
      certLoading: false,
      isOpen: false,
      addCertVisible: false,
      fromOptions: [],
      confirmStatus: null,
      idQuery: {
        id: "",
      },
      addType: "2", //证书类型：1:供应商；2.生产企业；3.产品品种

      checkFlag: {
        0: "草稿",
        1: "已确认",
        2: "已拒绝",
        3: "变更未确认",
        6: "未确认",
      },
      supStatus: {
        0: "有效",
        1: "失效",
      },
      certAuditVisible: false,
      currentAudit: {},
    };
  },
  created() {
    if (this.editType == 0) {
      this.enterpriseId = getUUID("");
      this.inputQuery.manufacturerId = this.enterpriseId;
    } else
      this.certQuery.customerId = this.inputQuery.customerId;
    this.certQuery.manufacturerIdFk = this.inputQuery.manufacturerId;


    this.selectedOptions = this.inputQuery.placeAreaCode.split(",");
    if (this.inputQuery.productionAreaCode != null) {
      this.selectedOptions2 = this.inputQuery.productionAreaCode.split(",");
    }

    this.getCompanyCertList();
    this.findMethod();
    this.uploadUrl = this.BASE_URL + "/udiwms/upload/register/file";
    this.fileUrl = this.BASE_URL + "/udiwms/image/register/file/getImage?type=image2&name=";
    this.certFileUrl = this.BASE_URL + "/udiwms/image/register/file/getImage?type=image2&name=";
  },
  components: {
    draggable,
    companyAddCert, ElImageViewer
  },
  methods: {

    onPassSubmit(val) {
      this.inputQuery.auditStatus = 1;
      this.$confirm("是否审核通过?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      }).then(() => {
        this.loading = true;
        this.inputQuery.auditStatus = 1;
        auditManufacturer(this.inputQuery).then(response => {
          this.loading = false;
          if (response.code === 20000) {
            this.addCloseDialog(true);
            this.$message.success("保存成功");
          } else {
            this.$message.error(response.message);
          }
        });
      }).catch(() => {
        this.addCloseDialog(false);
      });
    },

    onRejectSubmit() {
      this.$prompt('请输入结果说明', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
      }).then(({value}) => {
        this.inputQuery.auditComment = value;
        this.inputQuery.auditStatus = 2;
        auditManufacturer(this.inputQuery).then(response => {
          this.loading = false;
          if (response.code === 20000) {
            this.addCloseDialog(true);
            this.$message.success("保存成功");
          } else {
            this.$message.error(response.message);
          }
        });
      }).catch(() => {
      });
    }
    ,
    isAssetTypeAnImage(ext) {
      return [
        'png', 'jpg', 'jpeg', 'bmp', 'gif', 'webp', 'psd', 'svg', 'tiff'].indexOf(ext.toLowerCase()) !== -1;
    },
    showImgViewer(row) {
      // let newWindow = window.open();
      // newWindow.document.write(row.filePath)
      this.certFileUrl = this.BASE_URL + "/udiwms/image/register/file/getImage?type=image2&name=";
      this.imgList = [];
      previewImage({imageUrl: row.filePath, certFileUrl: this.certFileUrl}).then(response => {
        if (response.code === 20000) {
          this.imgList = response.data;
        }
      });
      this.imgViewer = true;
      this.imgViewerVisible = true;
      const m = (e) => {
        e.preventDefault()
      };
      document.body.style.overflow = 'hidden';
      document.addEventListener("touchmove", m, false); // 禁止页面滑动
    },
    closeImgViewer() {
      this.imgViewerVisible = false;
      this.imgViewer = false;
      const m = (e) => {
        e.preventDefault()
      };
      document.body.style.overflow = 'auto';
      document.removeEventListener("touchmove", m, true);
    },

    openFile() {
      window.open(this.fileUrl + this.inputQuery.filePath);
    },
    certHandleCurrentChange(val) {
      this.certQuery.page = val;
      this.getCompanyCertList();
    },
    getCompanyCertList() {
      if (this.editType != 2 && this.editType != 0) {
        this.certQuery.auditStatus = 20;
      }
      this.certLoading = true;
      this.certQuery.type = 2;
      filterCompanyCert(this.certQuery)
        .then((response) => {
          this.certLoading = false;
          this.certList = response.data.list || [];
          this.certTotal = response.data.total;
        })
        .catch(() => {
          this.certLoading = false;
          this.certList = [];
        });
    },
    addCert(index, row) {
      this.idQuery.id = '';
      if (this.$isNotBlank(row) && this.$isNotBlank(row.id)) {
        this.idQuery.id = row.id;
        this.idQuery.formData = row;
      }
      this.addCertVisible = true;
    },
    toViewCompanyCert(row) {
      this.certFileUrl = this.BASE_URL + "/udiwms/image/register/file/getImage?type=image2&name=";
      window.open(this.certFileUrl + row.filePath);
    },

    auditCert(row) {
      this.certAuditVisible = true;
      this.currentAudit = row;
      this.isOpen = this.currentAudit.auditStatus;
      this.confirmStatus = this.currentAudit.auditStatus;
    },
    revoke(inputQuery) {
      this.$confirm("是否确定撤回证书状态至未确认?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      }).then(() => {
        this.certLoading = true;
        inputQuery.auditStatus = 6
        revokeSupCert(inputQuery)
          .then((response) => {
            this.certLoading = false;
            if (response.code === 20000) {
              this.getCompanyCertList();
            } else {
              this.$message.error(response.message);
            }
          })
          .catch(() => {
            this.certLoading = false;
          });
      }).catch(() => {
      });


    },
    passAuditCert() {
      this.currentAudit.auditStatus = 1;
      this.auditSupCert(this.currentAudit);
    },
    rejectAuditCert() {
      this.currentAudit.auditStatus = 2;
      this.auditSupCert(this.currentAudit);
    },
    confirm() {
      if (this.confirmStatus == null) {
        this.$message.error("请选择确认状态");
        return;
      }
      if (this.confirmStatus == 1) {
        this.passAuditCert();
      } else if (this.confirmStatus == 2) {
        this.rejectAuditCert();
      }
    },
    cancel() {
      this.certAuditVisible = false;
    },
    auditSupCert(inputQuery) {
      auditSupCert(inputQuery).then(response => {
        this.loading = false;
        if (response.code === 20000) {
          this.getCompanyCertList();
          this.certAuditVisible = false;
        } else {
          this.$message.error(response.message);
        }
      });
    },

    rejectInfo(row) {
      this.$confirm(row.auditComment, "审核备注", {
        confirmButtonText: "确定",
        type: "warning",
        showCancelButton: false,
      })
        .then(() => {
        });

    },


    deleteCompanyCert(row) {
      this.$confirm("是否删除?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      }).then(() => {
        this.certLoading = true;
        let tquery = {
          id: row.id,
          filePath: row.filePath,
        };
        deleteCompanyCert(tquery)
          .then((response) => {
            this.certLoading = false;
            if (response.code === 20000) {
              this.getCompanyCertList();
              this.$message({
                type: "success",
                message: "删除成功！",
              });
            } else {
              this.$message.error(response.message);
            }
          })
          .catch(() => {
            this.certLoading = false;
          });
      }).catch(() => {
      });
    },

    closeLocalDialog() {
      this.addCertVisible = false;
      this.getCompanyCertList();
    },


    findMethod(query) {
      this.fromOptions = [];
      let cQuery = {
        companyName: query,
      };
      getSupComapnys(cQuery)
        .then((response) => {
          this.loading = false;
          this.fromOptions = response.data.list || [];
        })
        .catch(() => {
          this.loading = false;
        });
    }
    ,
    unitChange(val) {
      this.certQuery.customerId = val;
    },

    handleChange(value) {
      this.inputQuery.placeArea =
        CodeToText[value[0]] + CodeToText[value[1]] + CodeToText[value[2]];
      console.log(this.inputQuery.placeArea)
      this.inputQuery.placeAreaCode = value.toString();
    },
    handleChange2(value) {
      this.inputQuery.productionArea =
        CodeToText[value[0]] + CodeToText[value[1]] + CodeToText[value[2]];
      this.inputQuery.productionAreaCode = value.toString();
    },
    uploadHandleRemove(file, fileList) {
      console.log(file, fileList);
    },
    uploadHandlePreview(file) {
      console.log(file);
      console.log(this.fileList);
    },
    uploadHandleExceed(files, fileList) {
      this.$message.warning(`当前限制选择 1 个文件，本次选择了 ${files.length} 个文件，共选择了 ${files.length + fileList.length} 个文件`);
    },
    uploadOnchange(file, fileList) {
      let fileName = file.name;
      let uid = file.uid
      let pos = fileName.lastIndexOf(".");
      let lastName = fileName.substring(pos, fileName.length);
      if (lastName.toLowerCase() !== ".jpg" && lastName.toLowerCase() !== ".png") {
        this.$message.error("上传文件只能是 .jpg,.png 格式");
        for (let i = 0; i < fileList.length; i++) {//从list删除
          if (fileList[i].uid === uid) {
            fileList.splice(i, 1)
          }
        }
        return;
      }
      // 限制上传文件的大小
      const isLt = file.size / 1024 / 1024 / 30 <= 1;
      if (!isLt) {
        this.$message.error("上传文件大小不能超过 30MB");
        for (let i = 0; i < fileList.length; i++) {
          if (fileList[i].uid === uid) {
            fileList.splice(i, 1)
          }
        }
      }
      return isLt;
    },
    uploadHandleSuccess(response, file, fileList) {
      console.log(response)
      if (response.code === 20000) {
        this.inputQuery.newFilePath = response.data.name;
        this.onModifySubmit('inputQuery');
      } else {
        this.$message.error("文件上传失败：" + response.message);
      }
    },
    uploadHandleError() {

    },
    printSupCert(row) {
      var selectIds = [row.id];
      let query = {id: 2};
      this.loading = true;
      verifyTemplateFile(query).then((res) => {
        if (res.code === 20000) {
          let printParams = {
            templateId: res.data,
            ids: selectIds,
            customerId: row.customerId
          };
          printSupCertManufacturer(printParams).then((response) => {
            //将pdf文件转换为url。
            const binaryData = [];
            binaryData.push(response);
            //获取blob链接。
            let url = window.URL.createObjectURL(
              new Blob(binaryData, {type: "application/pdf"})
            );
            this.loading = false;
            window.open(url);//打开新标签页，预览pdf。
          })
        } else {
          this.loading = false;
          this.$message.error(res.message);
        }
      }).catch((error) => {
        this.loading = false;
        this.$message.error(error.message);
      })
    },
    printSupCertAll() {
      var certLists = this.$refs.certTable.selection;
      var selectIds = [];
      certLists.forEach(item => {
        selectIds.push(item.id);
      })
      if (selectIds.length == 0) {
        this.$message.error("请先选择打印的证书！");
        return
      }
      let query = {id: 2};
      this.loading = true;
      verifyTemplateFile(query).then((res) => {
        if (res.code === 20000) {
          let printParams = {
            templateId: res.data,
            ids: selectIds,
            customerId: this.inputQuery.customerId
          };
          printSupCertManufacturer(printParams).then((response) => {
            //将pdf文件转换为url。
            const binaryData = [];
            binaryData.push(response);
            //获取blob链接。
            let url = window.URL.createObjectURL(
              new Blob(binaryData, {type: "application/pdf"})
            );
            this.loading = false;
            window.open(url);//打开新标签页，预览pdf。
          })
        } else {
          this.loading = false;
          this.$message.error(res.message);
        }
      }).catch((error) => {
        this.loading = false;
        this.$message.error(error.message);
      })
    },
  },
  filters: {
    statusFilterType(status) {
      const statusMap = {
        0: "warning",
        1: "success",
        2: "danger",
        6: "warning",
      };
      return statusMap[status];
    },
  },
};
</script>
<style scoped>
.itemTag {
  float: left;
  text-align: left;
  margin-top: 10px;
  width: 120px;
}

.text {
  width: 100%;
  font-size: 13px;
  font-family: "Microsoft YaHei";
}

.el-card {
  margin-right: 20px;
  margin-top: 15px;
  /*transition: all .5s;*/
}

.el-row {
  display: flex;
  flex-wrap: wrap;
}

.el-col {
  border-radius: 4px;
  flex-wrap: wrap;
}
</style>
